// O(n)

#include <stdio.h>
#include <assert.h>
#define infile "onu.in"
#define outfile "onu.out"
#define nmax 100001L

int n;
int a[2*nmax];
int b[2*nmax];
int uz[nmax];
int X[nmax], Y[nmax], nr;

void pune(int x)
{int urm;
 while (1)
       {
        uz[a[x]] = 1;
        X[nr]=x;
        Y[nr++]=b[x];
        urm = (b[x] & 1) ? b[x] - 1 : b[x] + 1;
        assert(urm >= 0 && urm < 2*n);
        if (uz[a[urm]] == 0) x=urm; else break;
       }
}

int main()
{
 int i;
 freopen(infile, "rt", stdin);
 freopen(outfile, "wt", stdout);
 scanf("%d", &n);
 assert(n > 0 && n < nmax);
 for (i=0; i<n*2; i++)
     {
      scanf("%d", &a[i]);
      a[i]--;
      assert(a[i] >= 0 && a[i] < n);
      }

 // b[i] == pozitia conationalului
 for (i=0; i<n*2; i++) uz[i]=-1;
 for (i=0; i<n*2; i++)
     {
      assert(uz[a[i]] != -2);
      if (uz[a[i]] == -1) uz[a[i]] = i;
         else
          {
            b[i] = uz[a[i]];
            b[uz[a[i]]] = i;
            uz[a[i]] = -2;
          }
    }
 for (i=0; i<n*2; i++) uz[i]=0;
 for (i=0; i<n*2; i++)
     if (uz[a[i]] == 0)
        pune(i);

 //afisare
 for (i=0; i<n; i++)
     {
      if (i > 0) printf(" ");
      printf("%d", X[i] + 1);
     }
 printf("\n");
 for (i=0; i<n; i++)
     {
      if (i > 0) printf(" ");
      printf("%d", Y[i] + 1);
     }
 printf("\n");
 return 0;
}
